/*
  Project 1:  Digital thermometer using LM34 sensor 
  Description: The analog output voltage from the LM34
               temperature sensor is converted into C and F scale
               temperature and is displayed on LCD.
  Board: chipKIT UNO32
 */


// Include the LiquidCrystal library
#include <LiquidCrystal.h>

// Initialize the LCD interface pins in the following sequence
// RS, E, D4, D5, D6, D7

LiquidCrystal lcd(9, 8, 7, 6, 5, 4);
int ADC_OUTPUT;
float tempF, tempC;
void setup() {
  // Define the number of columns and rows of the LCD 
  lcd.begin(16, 2);
}

void loop() {
  lcd.setCursor(2, 0); 
  lcd.print("Thermometer");  
  lcd.setCursor(0, 1);  
  ADC_OUTPUT = analogRead(A0);
  tempF = ADC_OUTPUT*3.2/10.0;  // Temperature in degree C
  tempC = 5.0*(tempF-32.0)/9.0; // Temperature in degre F
  lcd.print(tempF);
  lcd.print((char)223);         // Print degree symbol
  lcd.print("F ");
  lcd.print(tempC);
  lcd.print((char)223);         // Print degree symbol
  lcd.print("C");
  delay(2000);
}

